# Interface methods for submodule: BSplineTransformInitializer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: BSplineTransformInitializer
class BSplineTransformInitializerProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetImage(self):
		""""""
		...

	def SetImage(self, _arg) -> None:
		""""""
		...

	def GetTransformDomainMeshSize(self) -> Sequence[int]:
		""""""
		...

	def SetTransformDomainMeshSize(self, arg0: Sequence[int]) -> None:
		""""""
		...

	def InitializeTransform(self) -> None:
		""""""
		...

